Bug 536525 - (RHQ-866) Need filter mechanism on Partition Events page.
Need filter mechanism on Partition Events page.
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2008-09-19 10:47 EDT by Corey Welton
Modified: 2008-10-21 10:49 EDT (History)
0 users

See Also:
Fixed In Version: 1.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwelton: archived+

Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2008-09-19 10:47:00 EDT
I don't imagine this will get fixed for 1.1 but it should be...

If there are a bunch of systems, perhaps in various states of normal/down/maintenance, in an HA cloud, the partition events log
(JON Administration  >  Partition Events) can get unwieldy quite quickly -- 7000+ events fired in 12 hours, for example.

There should be some sort of filter mechanism on this page which would allow user to display only those events which matter to him/her.

* Freeform 'search' field
* Dropdowns for 
** Operation Type
** Initiated By
** Execution Staus
** Server names known to be in the cloud (maybe)
* Selector for events that have taken place in the last
** Five Minutes
** Hour
** Day
** Week

This is actually looking more like a feature, but in really it's just some specs for what should be in this UI.
Comment 1 Joseph Marques 2008-09-23 12:43:11 EDT
yeah, i've had this 75% done since mid last week.  just found time this morning to finish it up.  will commit shortly.  this should enhance large-scale testing verification.
Comment 2 Joseph Marques 2008-09-23 12:47:12 EDT
rev1591 - add filtering to partition events history page; 
can now filter on Details (case-insensitive substring), ExecutionStatus, and PartitionEventType; 
also, add some defensive coding in StringUtility.getIntegerArray(String[]) when UI logic passing null (either accidentally or purposefully); 
disable enter key for Detail filter inputText element, to force the user to use the ajax-y "GO" button to refresh the dataTable and datascroller; 
Comment 3 Corey Welton 2008-10-03 12:19:13 EDT
RHQ-932 may block this... or more accurately, the root cause (RHQ-930) may.

I'm amenable to closing this if RHQ-930 gets pushed to 1.2
Comment 4 Jeff Weiss 2008-10-07 11:25:50 EDT
We tested this and have opened other issues to track bugs.  closing this one.
Comment 5 Red Hat Bugzilla 2009-11-10 16:18:31 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-866

Note You need to log in before you can comment on or make changes to this bug.